Debian Bug report logs - #675837
protobuf: FTBFS[!linux]: error: 'isatty' was not declared in this scope

version graph

Package: src:protobuf; Maintainer for src:protobuf is Robert S. Edmonds <edmonds@debian.org>;

Reported by: debian-bsd@lists.debian.org

Date: Sun, 3 Jun 2012 16:15:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version protobuf/2.4.1-2

Fixed in version protobuf/2.4.1-3

Done: Iustin Pop <iustin@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Iustin Pop <iustin@debian.org>:
Bug#675837; Package src:protobuf. (Sun, 03 Jun 2012 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Iustin Pop <iustin@debian.org>. (Sun, 03 Jun 2012 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: protobuf: FTBFS[!linux]: error: 'isatty' was not declared in this scope
Date: Sun, 03 Jun 2012 18:11:03 +0200
Package: src:protobuf
Version: 2.4.1-2
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

In file included from ./include/gtest/internal/gtest-internal.h:40:0,
                 from ./include/gtest/gtest.h:55,
                 from src/gtest.cc:34:
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::IsATTY(int)':
./include/gtest/internal/gtest-port.h:879:45: error: 'isatty' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::RmDir(const char*)':
./include/gtest/internal/gtest-port.h:885:53: error: 'rmdir' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::ChDir(const char*)':
./include/gtest/internal/gtest-port.h:907:53: error: 'chdir' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::Read(int, void*, unsigned int)':
./include/gtest/internal/gtest-port.h:921:46: error: 'read' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::Write(int, const void*, unsigned int)':
./include/gtest/internal/gtest-port.h:924:47: error: 'write' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::Close(int)':
./include/gtest/internal/gtest-port.h:926:43: error: 'close' was not declared in this scope
In file included from ./include/gtest/internal/gtest-internal.h:40:0,
                 from ./include/gtest/internal/gtest-death-test-internal.h:40,
                 from ./include/gtest/gtest-death-test.h:41,
                 from src/gtest-death-test.cc:34:
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::IsATTY(int)':
./include/gtest/internal/gtest-port.h:879:45: error: 'isatty' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::RmDir(const char*)':
./include/gtest/internal/gtest-port.h:885:53: error: 'rmdir' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::ChDir(const char*)':
./include/gtest/internal/gtest-port.h:907:53: error: 'chdir' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::Read(int, void*, unsigned int)':
./include/gtest/internal/gtest-port.h:921:46: error: 'read' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::Write(int, const void*, unsigned int)':
./include/gtest/internal/gtest-port.h:924:47: error: 'write' was not declared in this scope
./include/gtest/internal/gtest-port.h: In function 'int testing::internal::posix::Close(int)':
./include/gtest/internal/gtest-port.h:926:43: error: 'close' was not declared in this scope

Full build log at
2.4.1-2

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#675837; Package src:protobuf. (Sun, 03 Jun 2012 19:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iustin@debian.org>:
Extra info received and forwarded to list. (Sun, 03 Jun 2012 19:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 675837@bugs.debian.org (full text, mbox):

From: Iustin Pop <iustin@debian.org>
To: debian-bsd@lists.debian.org, 675837@bugs.debian.org
Subject: Re: Bug#675837: protobuf: FTBFS[!linux]: error: 'isatty' was not declared in this scope
Date: Sun, 3 Jun 2012 20:59:17 +0200
On Sun, Jun 03, 2012 at 06:11:03PM +0200, Christoph Egger wrote:
> Package: src:protobuf
> Version: 2.4.1-2
> Severity: serious
> Tags: sid wheezy
> User: debian-bsd@lists.debian.org
> Usertags: kfreebsd
> X-Debbugs-Cc: debian-bsd@lists.debian.org
> Justification: fails to build from source (but built successfully in the past)
> 
> Hi!
> 
> Your package failed to build on the kfreebsd-* buildds:

Yes, I know. The gcc 4.7 transition, *again*.

thanks,
iustin




Information forwarded to debian-bugs-dist@lists.debian.org, Iustin Pop <iustin@debian.org>:
Bug#675837; Package src:protobuf. (Mon, 11 Jun 2012 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Iustin Pop <iustin@debian.org>. (Mon, 11 Jun 2012 13:30:04 GMT) Full text and rfc822 format available.

Message #15 received at 675837@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Iustin Pop <iustin@debian.org>, debian-bsd@lists.debian.org, 675837@bugs.debian.org
Subject: Re: Bug#675837: protobuf: FTBFS[!linux]: error: 'isatty' was not declared in this scope
Date: Mon, 11 Jun 2012 14:27:36 +0100
[Message part 1 (text/plain, inline)]
tags 675837 + patch
user debian-gcc@lists.debian.org
usertags 675837 ftbfs-gcc-4.7
thanks

Hi iustin,

My attached patch should fix this.  Tested with a successful build on
kfreebsd-i386.

Like in some of the other source files, I'm assuming that all platforms
in the 'other' category will have unistd.h;  and as of GCC-4.7 they are
going to have to include it.

Thanks!
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[fix-ftbfs-gcc4.7-kfreebsd.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Mon, 11 Jun 2012 13:30:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Iustin Pop <iustin@debian.org>:
Bug#675837; Package src:protobuf. (Mon, 11 Jun 2012 14:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Iustin Pop <iustin@debian.org>. (Mon, 11 Jun 2012 14:12:03 GMT) Full text and rfc822 format available.

Message #22 received at 675837@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Iustin Pop <iustin@debian.org>, debian-bsd@lists.debian.org, 675837@bugs.debian.org
Subject: Re: Bug#675837: protobuf: FTBFS[!linux]: error: 'isatty' was not declared in this scope
Date: Mon, 11 Jun 2012 15:08:54 +0100
Hi,

Actually there seems to be another problem after this, when building the
Java bindings.  I wonder if Build-Depends: default-jdk is really
acceptable for platforms without an openjdk:

> Setting up gcj-4.7-jdk (4.7.0-4) ...
> Setting up gcj-jdk (4:4.7.0-6) ...
> Setting up default-jdk (1:1.5-47) ...
 ...
> # java bindings
> # this code mimics mvn package. This should be changed when maven is supported by debian.
> /bin/sh /usr/bin/ant -f debian/java-build.xml jar
> Buildfile: /tmp/buildd/protobuf-2.4.1/debian/java-build.xml
> 
> generate:
>     [mkdir] Created dir: /tmp/buildd/protobuf-2.4.1/java/target/generated-sources
>      [echo] src
> 
> compile:
>     [mkdir] Created dir: /tmp/buildd/protobuf-2.4.1/java/target/classes
>     [javac] Compiling 38 source files to /tmp/buildd/protobuf-2.4.1/java/target/classes
 ...
>     [javac] 70. ERROR in /tmp/buildd/protobuf-2.4.1/java/src/main/java/com/google/protobuf/TextFormat.java (at line 599)
>     [javac]     matcher.usePattern(TOKEN);
>     [javac]             ^^^^^^^^^^
>     [javac] The method usePattern(Pattern) is undefined for the type Matcher
>     [javac] ----------
>     [javac] 71. ERROR in /tmp/buildd/protobuf-2.4.1/java/src/main/java/com/google/protobuf/TextFormat.java (at line 618)
>     [javac]     matcher.usePattern(WHITESPACE);
>     [javac]             ^^^^^^^^^^
>     [javac] The method usePattern(Pattern) is undefined for the type Matcher
>     [javac] ----------
>     [javac] 71 problems (2 errors, 69 warnings)

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#675837; Package src:protobuf. (Mon, 11 Jun 2012 16:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iustin Pop <iustin@debian.org>:
Extra info received and forwarded to list. (Mon, 11 Jun 2012 16:51:14 GMT) Full text and rfc822 format available.

Message #27 received at 675837@bugs.debian.org (full text, mbox):

From: Iustin Pop <iustin@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: debian-bsd@lists.debian.org, 675837@bugs.debian.org
Subject: Re: Bug#675837: protobuf: FTBFS[!linux]: error: 'isatty' was not declared in this scope
Date: Mon, 11 Jun 2012 18:49:22 +0200
On Mon, Jun 11, 2012 at 03:08:54PM +0100, Steven Chamberlain wrote:
> Hi,
> 
> Actually there seems to be another problem after this, when building the
> Java bindings.  I wonder if Build-Depends: default-jdk is really
> acceptable for platforms without an openjdk:
> 
> > Setting up gcj-4.7-jdk (4.7.0-4) ...
> > Setting up gcj-jdk (4:4.7.0-6) ...
> > Setting up default-jdk (1:1.5-47) ...
>  ...
> > # java bindings
> > # this code mimics mvn package. This should be changed when maven is supported by debian.
> > /bin/sh /usr/bin/ant -f debian/java-build.xml jar
> > Buildfile: /tmp/buildd/protobuf-2.4.1/debian/java-build.xml
> > 
> > generate:
> >     [mkdir] Created dir: /tmp/buildd/protobuf-2.4.1/java/target/generated-sources
> >      [echo] src
> > 
> > compile:
> >     [mkdir] Created dir: /tmp/buildd/protobuf-2.4.1/java/target/classes
> >     [javac] Compiling 38 source files to /tmp/buildd/protobuf-2.4.1/java/target/classes
>  ...
> >     [javac] 70. ERROR in /tmp/buildd/protobuf-2.4.1/java/src/main/java/com/google/protobuf/TextFormat.java (at line 599)
> >     [javac]     matcher.usePattern(TOKEN);

Indeed, it might be not. This looks like what I've seen a long while
ago, when sun-jdk/openjdk was too old even on platforms where it
existed.

Do I understand correctly, that building depends on openjdk (or rather
said, on a JDK which supports java 1.5 or newer, or 1.6 or newer), so
therefore it worked until now since the kfreebsd-* builders only built
the arch-specific package? And you're trying to build all packages, not
just binary ones, so that's why I fails?

I wonder if the resulting JAR file built on (e.g.) amd64 works fine on a
machine which doesn't have openjdk.

Finally: maybe this should be split as a different bug; the gcc-4.7 fix
is good (much appreciated!), so I can upload that soon.

thanks,
iustin




Reply sent to Iustin Pop <iustin@debian.org>:
You have taken responsibility. (Sun, 17 Jun 2012 17:57:09 GMT) Full text and rfc822 format available.

Notification sent to debian-bsd@lists.debian.org:
Bug acknowledged by developer. (Sun, 17 Jun 2012 17:57:09 GMT) Full text and rfc822 format available.

Message #32 received at 675837-close@bugs.debian.org (full text, mbox):

From: Iustin Pop <iustin@debian.org>
To: 675837-close@bugs.debian.org
Subject: Bug#675837: fixed in protobuf 2.4.1-3
Date: Sun, 17 Jun 2012 17:54:10 +0000
Source: protobuf
Source-Version: 2.4.1-3

We believe that the bug you reported is fixed in the latest version of
protobuf, which is due to be installed in the Debian FTP archive:

libprotobuf-dev_2.4.1-3_amd64.deb
  to main/p/protobuf/libprotobuf-dev_2.4.1-3_amd64.deb
libprotobuf-java_2.4.1-3_all.deb
  to main/p/protobuf/libprotobuf-java_2.4.1-3_all.deb
libprotobuf-lite7_2.4.1-3_amd64.deb
  to main/p/protobuf/libprotobuf-lite7_2.4.1-3_amd64.deb
libprotobuf7_2.4.1-3_amd64.deb
  to main/p/protobuf/libprotobuf7_2.4.1-3_amd64.deb
libprotoc-dev_2.4.1-3_amd64.deb
  to main/p/protobuf/libprotoc-dev_2.4.1-3_amd64.deb
libprotoc7_2.4.1-3_amd64.deb
  to main/p/protobuf/libprotoc7_2.4.1-3_amd64.deb
protobuf-compiler_2.4.1-3_amd64.deb
  to main/p/protobuf/protobuf-compiler_2.4.1-3_amd64.deb
protobuf_2.4.1-3.debian.tar.gz
  to main/p/protobuf/protobuf_2.4.1-3.debian.tar.gz
protobuf_2.4.1-3.dsc
  to main/p/protobuf/protobuf_2.4.1-3.dsc
python-protobuf_2.4.1-3_amd64.deb
  to main/p/protobuf/python-protobuf_2.4.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675837@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iustin Pop <iustin@debian.org> (supplier of updated protobuf package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 17 Jun 2012 18:29:37 +0200
Source: protobuf
Binary: libprotobuf7 libprotobuf-lite7 libprotobuf-dev libprotoc7 libprotoc-dev protobuf-compiler python-protobuf libprotobuf-java
Architecture: source amd64 all
Version: 2.4.1-3
Distribution: unstable
Urgency: low
Maintainer: Iustin Pop <iustin@debian.org>
Changed-By: Iustin Pop <iustin@debian.org>
Description: 
 libprotobuf-dev - protocol buffers C++ library (development files)
 libprotobuf-java - Java bindings for protocol buffers
 libprotobuf-lite7 - protocol buffers C++ library (lite version)
 libprotobuf7 - protocol buffers C++ library
 libprotoc-dev - protocol buffers compiler library (development files)
 libprotoc7 - protocol buffers compiler library
 protobuf-compiler - compiler for protocol buffer definition files
 python-protobuf - Python bindings for protocol buffers
Closes: 675837
Changes: 
 protobuf (2.4.1-3) unstable; urgency=low
 .
   * Add patch from Steven Chamberlain fixing build failures of the
     embedded gtest copy on kFreeBSD (Closes: #675837)
Checksums-Sha1: 
 8c68b136d7a6ce6d716a01e612c4343a966daf1e 2462 protobuf_2.4.1-3.dsc
 a98243e82a883a8ab060f7576635bfc5377d25ec 14668 protobuf_2.4.1-3.debian.tar.gz
 f760ee4fcccbcb9a79455f913e93f286083faa8c 379444 libprotobuf7_2.4.1-3_amd64.deb
 662dd3f576fa84320a1bf206277e0f5f0014c0ff 78246 libprotobuf-lite7_2.4.1-3_amd64.deb
 75b7c5360b38bf8063ecf7573759299fea0539d3 628648 libprotobuf-dev_2.4.1-3_amd64.deb
 f6c4f29ddc9aa7e800da01b87a33a93f1ce95990 283014 libprotoc7_2.4.1-3_amd64.deb
 bb9815e0a191f967012c588966037637649708f9 407260 libprotoc-dev_2.4.1-3_amd64.deb
 8e4752c9ccdd5d3c4b71cbc5bb45159885ee8455 34310 protobuf-compiler_2.4.1-3_amd64.deb
 10e3c2b1fa22f30663b5cfd36503207f233aed33 91820 python-protobuf_2.4.1-3_amd64.deb
 d837c4fe26de62a3f1e2bd9fac547ae4f4d27d4d 337520 libprotobuf-java_2.4.1-3_all.deb
Checksums-Sha256: 
 4c19b58f9433ce14353b8193fc4d55047eb9f097ff4b046662dc0358947d095b 2462 protobuf_2.4.1-3.dsc
 71716d81259e944c6787f380f4b606f3fbfa44fe9ed0ccc8fd5de07d1967851e 14668 protobuf_2.4.1-3.debian.tar.gz
 b8086b894001aada0eacc72f4543d6f5aa44607b57512dc90b1dc52ed93697f4 379444 libprotobuf7_2.4.1-3_amd64.deb
 53b14da398753174285ca4a4287a520ccf843562913ccc36a126d6d7ee846959 78246 libprotobuf-lite7_2.4.1-3_amd64.deb
 70b0bcdd2d420bb5437e01d27896e4e33ba783ab64fb87009ba945d7eaf4eb3a 628648 libprotobuf-dev_2.4.1-3_amd64.deb
 33d105c399b5753ee6ddd2c57cba88959b318f46df2711e1326c61f11c2fde80 283014 libprotoc7_2.4.1-3_amd64.deb
 cb5d997d0f1989de4a46b0bf27ac3ac7a5ce4d22089514f1046e7dea5b6bc965 407260 libprotoc-dev_2.4.1-3_amd64.deb
 2af7f5f59dced3fc10e32c97a82855576c17a62e4b1e23080f6de0e0bae15636 34310 protobuf-compiler_2.4.1-3_amd64.deb
 5b4271c4675778bfb894c5eb5898a37bef116c67709f88a4c5258bbb579e23dd 91820 python-protobuf_2.4.1-3_amd64.deb
 9b5b2e8d7d3e7f00934c2631128a8e0e6999433a9b1f671db2fb17b7c18d4377 337520 libprotobuf-java_2.4.1-3_all.deb
Files: 
 71987f88765ebec6d46bfdba94693c0b 2462 devel optional protobuf_2.4.1-3.dsc
 d7e1fc7ebe8215c0a7aec98369180050 14668 devel optional protobuf_2.4.1-3.debian.tar.gz
 73a18eea2a7fc1397c4ddf999b035f6e 379444 libs optional libprotobuf7_2.4.1-3_amd64.deb
 a57db443e19aa3261c99459684524d1c 78246 libs optional libprotobuf-lite7_2.4.1-3_amd64.deb
 38151b3c57bcdc262a42de7e9c26296a 628648 libdevel optional libprotobuf-dev_2.4.1-3_amd64.deb
 5029c661d41dcbdd2de31ac27b3cf4b5 283014 libs optional libprotoc7_2.4.1-3_amd64.deb
 315f4a328507eea5e1b86e17e1db1ffc 407260 libdevel optional libprotoc-dev_2.4.1-3_amd64.deb
 c704706bf4e2b7793492698d265a5a2b 34310 devel optional protobuf-compiler_2.4.1-3_amd64.deb
 618ad4287e10fa553d07a4baeea744a3 91820 python optional python-protobuf_2.4.1-3_amd64.deb
 9b3234fa1c250c36120bed316f40e7cb 337520 java optional libprotobuf-java_2.4.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP3hGEAAoJEPZuPkGfhPTe4H4P/0bNxxw71uV1hrworZuUufj0
35B3V7dMmq9Pm421KX4RpiyKld8a79oPc1VHyxkeT8K5z5TMBgXkmfM2LnN5lZW/
dSqc9gXI5E+ICSoxVC0Esg8HbyVN5JdLA+prlpVuoHmZIVgfUNFHW5yQUHvG/ZPg
Ox671g5uhGXgb60AT4IhMcvVJkiRvH0OjgThK9gCgO7N6i9snleLmzwpux9RtY7c
dcwNIBvhg3qhwalJHPMigs6yvx3qVM1BWI2dOWaYpyONL3Q/uPvYb4qzE+cKHCDY
mKVG4Raw+1IgMRk8XoOzAEWH6G7IZ3Djxk5sv9RvruSNlmDzt9rThCY2+DasU9GU
ABgkMn7vzWtltqyrcO9kB1DHunSWY+kYmveVFUir5zM70dec8QXq1XsSEsd0SKPp
Jir0GM840WcZvMRAuRp2nHU0xsEpQ1CsN5O/D+pkx77WUcyAmu+wvKJbs+WkWzoJ
PQiccepc1/uBwLG/VVeqL5YsC6mp/FTXq8Njp+nYkNxTEPUlY2X3kXzux3JZnS1q
dhUSquzwoF+ytBBg3Cs339xUnA1Wq9/Rl+nXIjKQdHburx4cpHHYZWi2Cp0OY6SC
u2IIE2M70/MfA/xpGK7EwGHVxuEy9Hw67m3Z1C4IWoRosLI5Jd1+Rmdg3iNbtbLV
H2gebmLhzzK+VPwn57G/
=/SGB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:31:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:09:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.